function [map,B_dataset,B_test] = test_cifar_10(net, dataset_L, test_L,data_set, test_data )
    S = compute_S(dataset_L,test_L) ;
    [B_dataset, B_test] = compute_B (data_set,test_data,net) ;
    
    B_dataset = compactbit(B_dataset);
    B_test = compactbit(B_test);
    
    Dhamm = hammingDist(B_test, B_dataset);
    map = callMap(S', Dhamm);
    disp(map);
end
